Bug 36538 - up2date can't determine Linux version
up2date can't determine Linux version
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-18 15:05 EDT by Frank Wise
Modified: 2015-01-07 18:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-11 15:42:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Wise 2001-04-18 15:05:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-3 i586)


After installing the up2date packages, the next run of up2date failed
saying, "There was a fatal RPM error.  The message was:  couldn't determine
what version of Red Hat Linux you are running."

Reproducible: Always
Steps to Reproduce:
1.  Install the new up2date packages
2.  run up2date
3.
	

Actual Results:  Error display as described above

Expected Results:  up2date should produce list of available updates.
Comment 1 Jay Turner 2001-04-18 15:31:39 EDT
If you have upgraded from rpm-3.0.X to rpm-4.0.X, then you are going to want to
run 'rpm --rebuilddb' in order to get your database rebuilt in the correct
format.  This should take care of the problem.

Note You need to log in before you can comment on or make changes to this bug.